// This file is part of Stochastix.NET, a set of open source assemblies 
// for the .NET framework. See http://stochastix.net/ for details.

#region Copyright  2001-2003 Jens Thiel and others. All rights reserved.
/*
 ***************************************************** \begincopyright
 *
 * Copyright (c) 2001-2003 Jens Thiel (http://www.jens-thiel.de/)
 * See LICENSE.TXT for details. All rights reserved. 
 *
 * The licensing policy in brief:
 * Our free software is 100% GPL, and if yours is also 100% GPL (or OSI 
 * compliant), then you never have to pay us for the licences. In all 
 * other instances, you are better served by our commercial licence. 
 *
 * See http://stochastix.net/license or included LICENSE.TXT for details.
 *
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
 * "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
 * LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS
 * FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE
 * COPYRIGHT HOLDERS OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, 
 * INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES 
 * (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR
 * SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
 * HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, 
 * STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) 
 * ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED 
 * OF THE POSSIBILITY OF SUCH DAMAGE.
 * 
 ******************************************************* \endcopyright
 */
#endregion

#region RCS Log
/*
 *********************************************************** \internal
 *
 *  $Log: Currencies.cs,v $
 *  Revision 1.1.1.1  2003/02/01 18:25:23  jens
 *  Initial import
 *
 *  Revision 1.5  2002/08/30 18:21:10  stochastix
 *  license and namespace tweaks
 *
 *  Revision 1.4  2002/07/24 17:04:23  stochastix
 *  Preparing for preview release
 *
 *  Revision 1.3  2002/07/24 14:42:41  stochastix
 *  Preparing for preview release
 *
 *
 *********************************************************************
 */
#endregion

using System;
using System.Runtime.InteropServices;	// COM interop attributes
using System.ComponentModel;			// some useful attributes
using Stochastix.Utilities;

namespace Stochastix.Business
{
	/// <summary>
	/// Known currencies.
	/// </summary>
	[ RcsId("$Id: Currencies.cs,v 1.1.1.1 2003/02/01 18:25:23 jens Exp $") ]
	[ Description("Known currencies.") ]
	public enum Currency 
	{
		/// <summary>Argentinian Peso</summary>
		ARS,
		/// <summary>Austrian Schillings</summary>
		ATS,
		/// <summary>Australian Dollar</summary>
		AUD,
		/// <summary>Bangladesh Taka</summary>
		BDT,
		/// <summary>Belgian Franc</summary>
		BEF,
		/// <summary>Bulgarian Lev</summary>
		BGL,
		/// <summary>Brazilian Real</summary>
		BRL,
		/// <summary>Belarusian Ruble</summary>
		BYB,
		/// <summary>Canadian Dollar</summary>
		CAD,
		/// <summary>Swiss Franc</summary>
		CHF,
		/// <summary>Chilean Peso</summary>
		CLP,
		/// <summary>Chinese Yuan</summary>
		CNY,
		/// <summary>Colombian Peso</summary>
		COP,
		/// <summary>Cyprus Pound</summary>
		CYP,
		/// <summary>Czech Koruna</summary>
		CZK,
		/// <summary>German Mark</summary>
		DEM,
		/// <summary>Danish Krone</summary>
		DKK,
		/// <summary>Estonian Kroon</summary>
		EEK,
		/// <summary>Euro</summary>
		EUR,
		/// <summary>British Pound</summary>
		GBP,
		/// <summary>Greek Drachma</summary>
		GRD,
		/// <summary>Hong Kong Dollar</summary>
		HKD,
		/// <summary>Hungarian Forint</summary>
		HUF,
		/// <summary>Israeli Shekel</summary>
		ILS,
		/// <summary>Indian Rupee</summary>
		INR,
		/// <summary>Iraqi Dinar</summary>
		IQD,
		/// <summary>Iranian Rial</summary>
		IRR,
		/// <summary>Iceland Krona</summary>
		ISK,
		/// <summary>Italian Lira</summary>
		ITL,
		/// <summary>Japanese Yen</summary>
		JPY,
		/// <summary>South-Korean Won</summary>
		KRW,
		/// <summary>Kuwaiti dinar</summary>
		KWD,
		/// <summary>Lithuanian Litas</summary>
		LTL,
		/// <summary>Latvian Lats</summary>
		LVL,
		/// <summary>Maltese Lira</summary>
		MTL,
		/// <summary>Mexican Peso</summary>
		MXP,
		/// <summary>Norwegian Kroner</summary>
		NOK,
		/// <summary>Nepal Rupee</summary>
		NPR,
		/// <summary>New Zealand Dollar</summary>
		NZD,
		/// <summary>Pakistani Rupee</summary>
		PKR,
		/// <summary>New Polish Zloty</summary>
		PLN,
		/// <summary>Romanian Leu</summary>
		ROL,
		/// <summary>Saudi Riyal</summary>
		SAR,
		/// <summary>Swedish Krona</summary>
		SEK,
		/// <summary>Singapore Dollar</summary>
		SGD,
		/// <summary>Slovenian Tolar</summary>
		SIT,
		/// <summary>Slovak Koruna</summary>
		SKK,
		/// <summary>Thai Baht</summary>
		THB,
		/// <summary>Turkish Lira</summary>
		TRL,
		/// <summary>Trinidad and Tobago dollar</summary>
		TTD,
		/// <summary>Taiwan Dollar</summary>
		TWD,
		/// <summary>US Dollar</summary>
		USD,
		/// <summary>Venezuelan Bolivar</summary>
		VEB,
		/// <summary>South African Rand</summary>
		ZAR 
	};

}
