// This file is part of Stochastix.NET, a set of open source assemblies 
// for the .NET framework. See http://stochastix.net/ for details.

/*
 ***************************************************** \begincopyright
 *
 * Copyright (c) 2001-2003 Jens Thiel (http://www.jens-thiel.de/)
 * See LICENSE.TXT for details. All rights reserved. 
 *
 * The licensing policy in brief:
 * Our free software is 100% GPL, and if yours is also 100% GPL (or OSI 
 * compliant), then you never have to pay us for the licences. In all 
 * other instances, you are better served by our commercial licence. 
 *
 * See http://stochastix.net/license or included LICENSE.TXT for details.
 *
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
 * "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
 * LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS
 * FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE
 * COPYRIGHT HOLDERS OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, 
 * INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES 
 * (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR
 * SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
 * HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, 
 * STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) 
 * ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED 
 * OF THE POSSIBILITY OF SUCH DAMAGE.
 * 
 ******************************************************* \endcopyright
 */

/*
 *********************************************************** \internal
 *
 *  $Log: SSUM.cpp,v $
 *  Revision 1.1.1.1  2003/02/01 18:42:11  jens
 *  Initial import
 *
 *
 *********************************************************************
 */

#include <math.h>

extern "C" {

    float 
    SSUM(int *n, float *x, int *incx)
    {
    	float sum = 0.0;
    	int i=*n;
    	if (i < 1 || *incx <= 0)
    		return sum;
    
    	if( *incx>1 )	// code for increment not equal to 1
    	{
    		for(; i!=0; i--, x+=*incx)
    			sum += *x;
    	} 
    	else			// code for increment equal to 1
    	{
    		for( ; i>6; x+=6, i-=6)
    			sum += x[0] + x[1] + x[2] + x[3] + x[4] + x[5];
    		for(; i!=0; i--)
    			sum += *x++;
    	}
    	return sum;		
    }

}