// This file is part of Stochastix.NET, a set of open source assemblies 
// for the .NET framework. See http://stochastix.net/ for details.

#region Copyright  2001-2003 Jens Thiel and others. All rights reserved.
/*
 ***************************************************** \begincopyright
 *
 * Copyright (c) 2001-2003 Jens Thiel (http://www.jens-thiel.de/)
 * See LICENSE.TXT for details. All rights reserved. 
 *
 * The licensing policy in brief:
 * Our free software is 100% GPL, and if yours is also 100% GPL (or OSI 
 * compliant), then you never have to pay us for the licences. In all 
 * other instances, you are better served by our commercial licence. 
 *
 * See http://stochastix.net/license or included LICENSE.TXT for details.
 *
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
 * "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
 * LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS
 * FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE
 * COPYRIGHT HOLDERS OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, 
 * INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES 
 * (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR
 * SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
 * HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, 
 * STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) 
 * ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED 
 * OF THE POSSIBILITY OF SUCH DAMAGE.
 * 
 ******************************************************* \endcopyright
 */
#endregion

#region RCS Log
/*
 *********************************************************** \internal
 *
 *  $Log: AllTests.cs,v $
 *  Revision 1.2  2003/02/04 11:56:44  jens
 *  day counter tests are now in Business.Tests
 *
 *  Revision 1.1.1.1  2003/02/01 19:01:38  jens
 *  Initial import
 *
 *  Revision 1.6  2002/10/15 13:24:18  stochastix
 *  moving some things (RNGs, Statistics) to dotNum
 *
 *  Revision 1.5  2002/08/30 18:23:24  stochastix
 *  license and namespace tweaks
 *
 *  Revision 1.4  2002/08/15 18:15:28  stochastix
 *  Preparing for preview release
 *
 *  Revision 1.3  2002/08/09 18:09:16  stochastix
 *  Preparing for preview release
 *
 *  Revision 1.2  2002/08/07 19:15:18  stochastix
 *  Preparing for preview release
 *
 *
 *********************************************************************
 */
#endregion

namespace Stochastix.QuantLib.Tests
{
	using System;
	using System.Data;
	using System.IO;
	using System.Collections;
	using Stochastix.QuantLib.PricingEngines;
	using Stochastix.QuantLib.Instruments;
	using NUnit.Framework;

	/// <summary>TestSuite that runs all the sample Tests.</summary>
	public class AllTests 
	{
		public static ITest Suite 
		{
			get 
			{
				TestSuite suite= new TestSuite(typeof(AllTests).FullName);
				suite.AddTest(new TestSuite(typeof(Stochastix.QuantLib.Tests.TestRateHelpers)));
				suite.AddTest(new TestSuite(typeof(Stochastix.QuantLib.Tests.TestMarketElements)));
				suite.AddTest(new TestSuite(typeof(Stochastix.QuantLib.Tests.TestSimpleSwap)));
				suite.AddTest(new TestSuite(typeof(Stochastix.QuantLib.Tests.TestVanillaEngines)));
				suite.AddTest(new TestSuite(typeof(Stochastix.QuantLib.Tests.TestPiecewiseFlatForward)));
//				suite.AddTest(new TestSuite(typeof(Stochastix.QuantLib.Tests.TestRNGs)));
//				suite.AddTest(new TestSuite(typeof(Stochastix.QuantLib.Tests.TestSolvers1D)));
				suite.AddTest(new TestSuite(typeof(Stochastix.QuantLib.Tests.TestOperators)));
				// suite.AddTest(Stochastix.QuantLib.Tests.TestDayCounters.Suite);
				//suite.AddTest(NUnit.Samples.SimpleVBTest.Suite);
				return suite;
			}
		}

		public static void Main(String[] args) 
		{ 
			// Force US american formatting
			// System.Threading.Thread.CurrentThread.CurrentCulture =
			//	System.Globalization.CultureInfo.InvariantCulture;

			NUnit.TextUI.TestRunner.Run(Suite);
		}

	}
}
